/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */

#ifndef headerfilecmslutemplatesmisc
#define headerfilecmslutemplatesmisc


#include <vector>
#include <string>
#include "localefilter.h"
#include "ezc.h"




namespace TemplatesMisc
{

typedef std::vector<std::vector<Ezc::Pattern> > Patterns;



// those functions from here are used in the second thread too

void Read(Patterns & patterns, size_t pat, LocaleFilter & locale_filter, const std::string & dir, const char * file, bool delete_white = false);
void Read(Patterns & patterns, size_t pat, LocaleFilter & locale_filter, const char * file, bool delete_white = false);
void ClearPatterns(Patterns & patterns, size_t len);



} // namespace TemplatesMisc

#endif

